## org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL
Interface Typedef

All Superinterfaces:
  org.eclipse.emf.ecore.EClass, org.eclipse.emf.ecore.EClassifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  TypedefImpl

    public interface Typedef

extends org.eclipse.emf.ecore.EClass

A representation of the model object 'Typedef'.

The following features are supported:

- `Base`
- `Condition`

See Also:
  `ImperativeOCLPackage.getTypedef()`

Method Summary
`org.eclipse.emf.ecore.EClassifier` `getBase()` Returns the value of the 'Base' reference
`org.eclipse.ocl.ecore.OCLExpression` `getCondition()` Returns the value of the 'Condition' containment reference
`void` `setBase(org.eclipse.emf.ecore.EClassifier value)` Sets the value of the '`Base`' reference
`void` `setCondition(org.eclipse.ocl.ecore.OCLExpression value)` Sets the value of the '`Condition`' containment reference

Methods inherited from interface org.eclipse.emf.ecore.EClass

`getEAllAttributes, getEAllContainments, getEAllGenericSuperTypes, getEAllOperations, getEAllReferences, getEAllStructuralFeatures, getEAllSuperTypes, getEAttributes, getEGenericSuperTypes, getEIDAttribute, getEOperations, getEReferences, getEStructuralFeature, getEStructuralFeature, getEStructuralFeatures, getESuperTypes, getFeatureCount, getFeatureID, isAbstract, isInterface, isSuperTypeOf, setAbstract, setInterface`

Methods inherited from interface org.eclipse.emf.ecore.EClassifier
`getClassifierID, getDefaultValue, getEPackage, getETypeParameters, getInstanceClass, getInstanceClassName, getInstanceTypeName, isInstance, setInstanceClass, setInstanceClassName, setInstanceTypeName`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getBase

    org.eclipse.emf.ecore.EClassifier getBase()

  Returns the value of the 'Base' reference.

  If the meaning of the 'Base' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Base' reference.
  See Also:
    `setBase(EClassifier)`, `ImperativeOCLPackage.getTypedef_Base()`

### setBase

    void setBase(org.eclipse.emf.ecore.EClassifier value)

  Sets the value of the '`Base`' reference.

  Parameters:
    `value` - the new value of the 'Base' reference.
  See Also:
    `getBase()`

### getCondition

    org.eclipse.ocl.ecore.OCLExpression getCondition()

  Returns the value of the 'Condition' containment reference.

  If the meaning of the 'Condition' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Condition' containment reference.
  See Also:
    `setCondition(OCLExpression)`, `ImperativeOCLPackage.getTypedef_Condition()`

### setCondition

    void setCondition(org.eclipse.ocl.ecore.OCLExpression value)

  Sets the value of the '`Condition`' containment reference.

  Parameters:
    `value` - the new value of the 'Condition' containment reference.
  See Also:
    `getCondition()`

Copyright 2008 Borland Software Corporation and others. All Rights Reserved.